question

Upvotes
Accepted
3 0 1 2

Installation error DatastreamDSWS2R in R / There is no package called 'DatastreamDSWS2R'

Hello, I have tried to install the DatastreamDSWS2R package by downloading the zip file first and then calling install("Myfilepath/DatastreamDSWS2R-master"). When I do this, I get the following error (see screenshot). It says there is no package called 'DatastreamDSWS2R'. Could you help me out with this, please? Any help would be appreciated.

datastream-apidsws-apir
r-error.png (27.7 KiB)
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
Accepted
17.4k 34 12 12

Hello @andre.dragosch

Assuming that you are using DatastreamDSWS2R library from GitHub page. Did you follow an installation instruction in README.md file yet? Please note that you can submit the library installation issue in GitHub Issue page directly.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
3 0 1 2

Dear Wasin, Thanks for your reply! I have asked the guys on Github directly. There seems to be an issue with the devtools function "install_github" and "install" with R versions 3.6.1 and higher. After I have re-installed version 3.4.3 the installation of the DatastreamDSWS2R package worked. I have still connectivity issues with the Datastream server but that's another issue. :-) Anyways, thanks again for your help.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.